# Generated by Django 4.1.6 on 2023-05-05 09:47

from django.db import migrations, models
import django.db.models.deletion
import uuid


class Migration(migrations.Migration):
    dependencies = [
        ("core", "0007_remove_maintainer"),
    ]

    operations = [
        migrations.CreateModel(
            name="MasterDataCity",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("uuid", models.UUIDField(default=uuid.uuid4, unique=True)),
                ("zipcode", models.CharField(max_length=10, verbose_name="ZIP")),
                ("name", models.CharField(max_length=100, verbose_name="Name")),
            ],
            options={
                "verbose_name": "City",
                "verbose_name_plural": "Cities",
            },
        ),
        migrations.RemoveField(
            model_name="zipcode",
            name="tenant",
        ),
        migrations.RemoveField(
            model_name="country",
            name="tenant",
        ),
        migrations.RemoveField(
            model_name="department",
            name="tenant",
        ),
        migrations.RemoveField(
            model_name="devicetype",
            name="tenant",
        ),
        migrations.RemoveField(
            model_name="firstname",
            name="tenant",
        ),
        migrations.RemoveField(
            model_name="language",
            name="tenant",
        ),
        migrations.RemoveField(
            model_name="medication",
            name="tenant",
        ),
        migrations.RemoveField(
            model_name="medicationroute",
            name="tenant",
        ),
        migrations.RemoveField(
            model_name="medicationterminologysystem",
            name="tenant",
        ),
        migrations.RemoveField(
            model_name="organization",
            name="tenant",
        ),
        migrations.RemoveField(
            model_name="specialty",
            name="tenant",
        ),
        migrations.CreateModel(
            name="CityA",
            fields=[
                (
                    "masterdatacity_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="core.masterdatacity",
                    ),
                ),
            ],
            options={
                "abstract": False,
            },
            bases=("core.masterdatacity",),
        ),
        migrations.DeleteModel(
            name="City",
        ),
        migrations.DeleteModel(
            name="ZipCode",
        ),
        migrations.AddField(
            model_name="masterdatacity",
            name="country",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                to="core.country",
                verbose_name="Country",
            ),
        ),
        migrations.AlterUniqueTogether(
            name="masterdatacity",
            unique_together={("country", "zipcode")},
        ),
        migrations.RenameModel(
            old_name="CityA",
            new_name="City",
        ),
    ]
